<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class EmbeddedFeatureRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'embedded_feature_image' => 'nullable|image|mimes:jpeg,png,jpg,gif,svg',
            'embedded_feature_title' => 'required|string',
            'embedded_feature_short_description' => 'required|string',
        ];
    }
}
